Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class MappedTree

    java.lang.Object
      de.grogra.util.TreeModelSupport
          de.grogra.util.Tree
              de.grogra.util.MutableTree
                  de.grogra.util.MappedTree

All Implemented Interfaces:
  Disposable, MappedTreeModel, MutableTreeModel, javax.swing.tree.TreeModel

Direct Known Subclasses:
  SyncMappedTree

    public class MappedTree

extends MutableTree
implements MappedTreeModel

Nested Class Summary
`static class` | `MappedTree.Node`

Field Summary

Fields inherited from class de.grogra.util.Tree
`root`

Fields inherited from class de.grogra.util.TreeModelSupport
`NODES_CHANGED, NODES_INSERTED, NODES_REMOVED, STRUCTURE_CHANGED`

Constructor Summary
`MappedTree()`

Method Summary
`java.lang.Object` | `createNode(java.lang.Object sourceNode, java.lang.Object targetParent)`
`void` | `disposeNode(java.lang.Object node)`
`boolean` | `isImage(java.lang.Object sourceNode, java.lang.Object targetNode)`
`void` | `treeChanged(java.lang.Object parent)`

Methods inherited from class de.grogra.util.MutableTree
`dispose, insert, remove, remove, setRoot, valueForPathChanged`

Methods inherited from class de.grogra.util.Tree
`findFirst, findMax, findMax, getChild, getChildCount, getIndexOfChild, getIndexOfChild, getParent, getRoot, hasValidPath, isLeaf, nodesEqual`

Methods inherited from class de.grogra.util.TreeModelSupport
`addTreeModelListener, allListenersRemoved, clearListeners, fireTreeModelEvent, fireTreeModelEvent, fireTreeModelEvent, fireTreeModelEvent, firstListenerAdded, hasListeners, removeTreeModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.util.MutableTreeModel
`insert, remove, setRoot`

Methods inherited from interface javax.swing.tree.TreeModel
`addTreeModelListener, getChild, getChildCount, getIndexOfChild, getRoot, isLeaf, removeTreeModelListener, valueForPathChanged`

Methods inherited from interface de.grogra.util.Disposable
`dispose`

Constructor Detail

### MappedTree

    public MappedTree()

Method Detail

### createNode

    public java.lang.Object createNode(java.lang.Object sourceNode,
                                       java.lang.Object targetParent)

  Specified by:
    `createNode` in interface `MappedTreeModel`

### disposeNode

    public void disposeNode(java.lang.Object node)

  Specified by:
    `disposeNode` in interface `MappedTreeModel`

### isImage

    public boolean isImage(java.lang.Object sourceNode,
                           java.lang.Object targetNode)

  Specified by:
    `isImage` in interface `MappedTreeModel`

### treeChanged

    public void treeChanged(java.lang.Object parent)

  Specified by:
    `treeChanged` in interface `MappedTreeModel`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD